﻿//------------------------------------------------------------------------------
// <auto-generated>
//     Este código fue generado por una herramienta.
//     Versión de runtime:4.0.30319.42000
//
//     Los cambios en este archivo podrían causar un comportamiento incorrecto y se perderán si
//     se vuelve a generar el código.
// </auto-generated>
//------------------------------------------------------------------------------

namespace UsuariosWeb.UsuariosService {
    using System.Runtime.Serialization;
    using System;
    
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="PRO_APP_USUARIOS_CONSULTAR_TODOSResult", Namespace="http://schemas.datacontract.org/2004/07/TEC.DAL.Models")]
    [System.SerializableAttribute()]
    public partial class PRO_APP_USUARIOS_CONSULTAR_TODOSResult : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private System.DateTime Fecha_NacimientoField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string NombreField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string SexoField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public System.DateTime Fecha_Nacimiento {
            get {
                return this.Fecha_NacimientoField;
            }
            set {
                if ((this.Fecha_NacimientoField.Equals(value) != true)) {
                    this.Fecha_NacimientoField = value;
                    this.RaisePropertyChanged("Fecha_Nacimiento");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Nombre {
            get {
                return this.NombreField;
            }
            set {
                if ((object.ReferenceEquals(this.NombreField, value) != true)) {
                    this.NombreField = value;
                    this.RaisePropertyChanged("Nombre");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Sexo {
            get {
                return this.SexoField;
            }
            set {
                if ((object.ReferenceEquals(this.SexoField, value) != true)) {
                    this.SexoField = value;
                    this.RaisePropertyChanged("Sexo");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="PRO_APP_USUARIOS_CONSULTAR_PAGINADOResult", Namespace="http://schemas.datacontract.org/2004/07/TEC.DAL.Models")]
    [System.SerializableAttribute()]
    public partial class PRO_APP_USUARIOS_CONSULTAR_PAGINADOResult : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private System.DateTime Fecha_NacimientoField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string NombreField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string SexoField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public System.DateTime Fecha_Nacimiento {
            get {
                return this.Fecha_NacimientoField;
            }
            set {
                if ((this.Fecha_NacimientoField.Equals(value) != true)) {
                    this.Fecha_NacimientoField = value;
                    this.RaisePropertyChanged("Fecha_Nacimiento");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Nombre {
            get {
                return this.NombreField;
            }
            set {
                if ((object.ReferenceEquals(this.NombreField, value) != true)) {
                    this.NombreField = value;
                    this.RaisePropertyChanged("Nombre");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Sexo {
            get {
                return this.SexoField;
            }
            set {
                if ((object.ReferenceEquals(this.SexoField, value) != true)) {
                    this.SexoField = value;
                    this.RaisePropertyChanged("Sexo");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(ConfigurationName="UsuariosService.IUsuarioService")]
    public interface IUsuarioService {
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IUsuarioService/GetAllUsuarios", ReplyAction="http://tempuri.org/IUsuarioService/GetAllUsuariosResponse")]
        UsuariosWeb.UsuariosService.PRO_APP_USUARIOS_CONSULTAR_TODOSResult[] GetAllUsuarios();
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IUsuarioService/GetAllUsuarios", ReplyAction="http://tempuri.org/IUsuarioService/GetAllUsuariosResponse")]
        System.Threading.Tasks.Task<UsuariosWeb.UsuariosService.PRO_APP_USUARIOS_CONSULTAR_TODOSResult[]> GetAllUsuariosAsync();
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IUsuarioService/GetUsuariosPaginado", ReplyAction="http://tempuri.org/IUsuarioService/GetUsuariosPaginadoResponse")]
        UsuariosWeb.UsuariosService.PRO_APP_USUARIOS_CONSULTAR_PAGINADOResult[] GetUsuariosPaginado(int numeroPagina, int cantidadPorPagina);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IUsuarioService/GetUsuariosPaginado", ReplyAction="http://tempuri.org/IUsuarioService/GetUsuariosPaginadoResponse")]
        System.Threading.Tasks.Task<UsuariosWeb.UsuariosService.PRO_APP_USUARIOS_CONSULTAR_PAGINADOResult[]> GetUsuariosPaginadoAsync(int numeroPagina, int cantidadPorPagina);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IUsuarioService/CrearUsuario", ReplyAction="http://tempuri.org/IUsuarioService/CrearUsuarioResponse")]
        string CrearUsuario(UsuariosWeb.UsuariosService.PRO_APP_USUARIOS_CONSULTAR_TODOSResult usuario);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IUsuarioService/CrearUsuario", ReplyAction="http://tempuri.org/IUsuarioService/CrearUsuarioResponse")]
        System.Threading.Tasks.Task<string> CrearUsuarioAsync(UsuariosWeb.UsuariosService.PRO_APP_USUARIOS_CONSULTAR_TODOSResult usuario);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IUsuarioService/ModificarUsuario", ReplyAction="http://tempuri.org/IUsuarioService/ModificarUsuarioResponse")]
        string ModificarUsuario(UsuariosWeb.UsuariosService.PRO_APP_USUARIOS_CONSULTAR_TODOSResult usuario);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IUsuarioService/ModificarUsuario", ReplyAction="http://tempuri.org/IUsuarioService/ModificarUsuarioResponse")]
        System.Threading.Tasks.Task<string> ModificarUsuarioAsync(UsuariosWeb.UsuariosService.PRO_APP_USUARIOS_CONSULTAR_TODOSResult usuario);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IUsuarioService/EliminarUsuario", ReplyAction="http://tempuri.org/IUsuarioService/EliminarUsuarioResponse")]
        string EliminarUsuario(UsuariosWeb.UsuariosService.PRO_APP_USUARIOS_CONSULTAR_TODOSResult usuario);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IUsuarioService/EliminarUsuario", ReplyAction="http://tempuri.org/IUsuarioService/EliminarUsuarioResponse")]
        System.Threading.Tasks.Task<string> EliminarUsuarioAsync(UsuariosWeb.UsuariosService.PRO_APP_USUARIOS_CONSULTAR_TODOSResult usuario);
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface IUsuarioServiceChannel : UsuariosWeb.UsuariosService.IUsuarioService, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class UsuarioServiceClient : System.ServiceModel.ClientBase<UsuariosWeb.UsuariosService.IUsuarioService>, UsuariosWeb.UsuariosService.IUsuarioService {
        
        public UsuarioServiceClient() {
        }
        
        public UsuarioServiceClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public UsuarioServiceClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public UsuarioServiceClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public UsuarioServiceClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        public UsuariosWeb.UsuariosService.PRO_APP_USUARIOS_CONSULTAR_TODOSResult[] GetAllUsuarios() {
            return base.Channel.GetAllUsuarios();
        }
        
        public System.Threading.Tasks.Task<UsuariosWeb.UsuariosService.PRO_APP_USUARIOS_CONSULTAR_TODOSResult[]> GetAllUsuariosAsync() {
            return base.Channel.GetAllUsuariosAsync();
        }
        
        public UsuariosWeb.UsuariosService.PRO_APP_USUARIOS_CONSULTAR_PAGINADOResult[] GetUsuariosPaginado(int numeroPagina, int cantidadPorPagina) {
            return base.Channel.GetUsuariosPaginado(numeroPagina, cantidadPorPagina);
        }
        
        public System.Threading.Tasks.Task<UsuariosWeb.UsuariosService.PRO_APP_USUARIOS_CONSULTAR_PAGINADOResult[]> GetUsuariosPaginadoAsync(int numeroPagina, int cantidadPorPagina) {
            return base.Channel.GetUsuariosPaginadoAsync(numeroPagina, cantidadPorPagina);
        }
        
        public string CrearUsuario(UsuariosWeb.UsuariosService.PRO_APP_USUARIOS_CONSULTAR_TODOSResult usuario) {
            return base.Channel.CrearUsuario(usuario);
        }
        
        public System.Threading.Tasks.Task<string> CrearUsuarioAsync(UsuariosWeb.UsuariosService.PRO_APP_USUARIOS_CONSULTAR_TODOSResult usuario) {
            return base.Channel.CrearUsuarioAsync(usuario);
        }
        
        public string ModificarUsuario(UsuariosWeb.UsuariosService.PRO_APP_USUARIOS_CONSULTAR_TODOSResult usuario) {
            return base.Channel.ModificarUsuario(usuario);
        }
        
        public System.Threading.Tasks.Task<string> ModificarUsuarioAsync(UsuariosWeb.UsuariosService.PRO_APP_USUARIOS_CONSULTAR_TODOSResult usuario) {
            return base.Channel.ModificarUsuarioAsync(usuario);
        }
        
        public string EliminarUsuario(UsuariosWeb.UsuariosService.PRO_APP_USUARIOS_CONSULTAR_TODOSResult usuario) {
            return base.Channel.EliminarUsuario(usuario);
        }
        
        public System.Threading.Tasks.Task<string> EliminarUsuarioAsync(UsuariosWeb.UsuariosService.PRO_APP_USUARIOS_CONSULTAR_TODOSResult usuario) {
            return base.Channel.EliminarUsuarioAsync(usuario);
        }
    }
}
